(3)

NAME
boost::numeric::functional::promote<bool,_From,_void,_std_valarray_tag>

SYNOPSIS

// In header: <boost/accumulators/numeric/functional/valarray.hpp>
template<typename From>
struct promote<bool, From, void, std_valarray_tag> : public std::unary_function< From, bool > {
  // public member functions
  bool operator()(From &) const;
};

DESCRIPTION

  promote public member functions

    1.

    bool operator()(From & arr) const;